tbb::flow::interface9::receiver_gateway< Input > Class Template Referenceabstract
Inheritance diagram for tbb::flow::interface9::receiver_gateway< Input >:

## Public Types

typedef Input | input_type
| Type of inputing data into FG.

## Public Member Functions

virtual bool | try_put (const input_type &)=0
| Submit signal from an asynchronous activity to FG.
Public Member Functions inherited from tbb::flow::interface9::graph_proxy
virtual void | reserve_wait ()=0
| Inform a graph that messages may come from outside, to prevent premature graph completion.
virtual void | release_wait ()=0
| Inform a graph that a previous call to reserve_wait is no longer in effect.

The documentation for this class was generated from the following file:

- flow_graph_abstractions.h

Copyright © 2005-2017 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.